import '../model/UserInfo.dart';
import 'UserRedux.dart';

enum Actions { updateToken, updateUser, updateAll, logout }

class AppState {
  UserInfo userInfo;

  AppState({this.userInfo});

  AppState.empty();
}

AppState appReducer(AppState state, action) {
  return AppState(userInfo: userReducer(state.userInfo, action));
}
